<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>

    <IsPackable>false</IsPackable>
    <IsTestProject>true</IsTestProject>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="appsettings.Development.json" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.Development.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoFixture" Version="4.18.1" />
    <PackageReference Include="coverlet.collector" Version="3.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.TestHost" Version="7.0.20" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.7.1" />
    <PackageReference Include="Moq" Version="4.20.72" />
    <PackageReference Include="Shouldly" Version="4.2.1" />
    <PackageReference Include="xunit" Version="2.4.2" />
    <PackageReference Include="Xunit.DependencyInjection" Version="9.3.0" />
    <PackageReference Include="Xunit.DependencyInjection.AspNetCoreTesting" Version="9.0.0" />
    <PackageReference Include="xunit.runner.visualstudio" Version="2.4.5" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Hotline.Api\Hotline.Api.csproj" />
    <ProjectReference Include="..\Hotline.Application\Hotline.Application.csproj" />
    <ProjectReference Include="..\Hotline.Repository.SqlSugar\Hotline.Repository.SqlSugar.csproj" />
    <ProjectReference Include="..\Tr.Sdk\Tr.Sdk.csproj" />
    <ProjectReference Include="..\XF.Domain.Repository\XF.Domain.Repository.csproj" />
    <ProjectReference Include="..\XF.Domain\XF.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="Xunit" />
  </ItemGroup>

</Project>
